## lomiri-keyboard 1.0.2

=== debian/changelog ===
lomiri-keyboard (1.0.2-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1084933).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 11 Oct 2024 17:19:30 +0200
