=== debian/control ===
Source: lomiri-keyboard
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               doxygen,
               libanthy-dev,
               libchewing3-dev,
               libgl-dev,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libgsettings-qt-dev,
               libhunspell-dev,
               libpinyin15-dev,
               libpresage-dev,
               libxml2-utils,
               maliit-framework-dev,
               pkgconf,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qml-module-qtmultimedia,
               qml-module-lomiri-components,
               xauth,
               xvfb,
               presage,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-keyboard
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-keyboard/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-keyboard.git

Package: lomiri-keyboard
Architecture: any
Depends: maliit-framework,
         qml-module-qtquick-window2,
         libqt5gui5 | libqt5gui5-gles,
         lomiri-keyboard-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: lomiri-keyboard-english (>= ${source:Version}),
            lomiri-keyboard-dutch (>= ${source:Version}),
            lomiri-keyboard-french (>= ${source:Version}),
            lomiri-keyboard-german (>= ${source:Version}),
            lomiri-keyboard-italian (>= ${source:Version}),
            lomiri-keyboard-portuguese (>= ${source:Version}),
            lomiri-keyboard-russian (>= ${source:Version}),
            lomiri-keyboard-spanish (>= ${source:Version}),
            lomiri-keyboard-swedish (>= ${source:Version}),
            lomiri-keyboard-emoji (>= ${source:Version}),
Suggests: lomiri-keyboard-arabic,
          lomiri-keyboard-azerbaijani,
          lomiri-keyboard-belarusian,
          lomiri-keyboard-bengali,
          lomiri-keyboard-bengali-avro,
          lomiri-keyboard-bengali-probhat,
          lomiri-keyboard-bosnian,
          lomiri-keyboard-bulgarian,
          lomiri-keyboard-catalan,
          lomiri-keyboard-chinese-chewing,
          lomiri-keyboard-chinese-pinyin,
          lomiri-keyboard-croatian,
          lomiri-keyboard-czech,
          lomiri-keyboard-danish,
          lomiri-keyboard-english-dvorak,
          lomiri-keyboard-esperanto,
          lomiri-keyboard-persian,
          lomiri-keyboard-finnish,
          lomiri-keyboard-greek,
          lomiri-keyboard-hebrew,
          lomiri-keyboard-hungarian,
          lomiri-keyboard-icelandic,
          lomiri-keyboard-japanese,
          lomiri-keyboard-latvian,
          lomiri-keyboard-lithuanian,
          lomiri-keyboard-macedonian,
          lomiri-keyboard-korean,
          lomiri-keyboard-norwegian-bokmal,
          lomiri-keyboard-polish,
          lomiri-keyboard-romanian,
          lomiri-keyboard-slovenian,
          lomiri-keyboard-serbian,
          lomiri-keyboard-scottish-gaelic,
          lomiri-keyboard-swiss-french,
          lomiri-keyboard-thai,
          lomiri-keyboard-turkish,
          lomiri-keyboard-ukrainian,
Conflicts: lomiri-desktop-session (<< 0.3-6~),
Description: Lomiri on-screen keyboard
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 Lomiri-Keyboard on-screen keyboard is a Maliit plugin.

Package: lomiri-keyboard-data
Architecture: all
Depends: fonts-droid-fallback | fonts-droid | fonts-noto-cjk,
         qml-module-lomiri-components,
         ${misc:Depends},
Description: Lomiri on-screen keyboard data files
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 Data files for the Lomiri virtual keyboard

Package: lomiri-keyboard-dev
Architecture: all
Depends: ${misc:Depends},
Description: Lomiri on-screen keyboard - development files
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package contains development files for lomiri-keyboard.

Package: lomiri-keyboard-arabic
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         hunspell-ar,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Arabic
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Arabic

Package: lomiri-keyboard-azerbaijani
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Azerbaijani
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Azerbaijani

Package: lomiri-keyboard-belarusian
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Belarusian
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Belarusian

Package: lomiri-keyboard-bengali
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         hunspell-bn,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Bengali National Layout
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Bengali National Layout

Package: lomiri-keyboard-bengali-avro
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Bengali Avro Phonetic
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Bengali Avro Phonetic

Package: lomiri-keyboard-bengali-probhat
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         lomiri-keyboard-bengali (= ${binary:Version}),
         hunspell-bn,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Bengali Probhat Layout
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Bengali Probhat Layout

Package: lomiri-keyboard-bosnian
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Bosnian
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Bosnian

Package: lomiri-keyboard-bulgarian
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         hunspell-bg,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Bulgarian
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Bulgarian

Package: lomiri-keyboard-catalan
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         ${misc:Depends},
         hunspell-ca,
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Catalan
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Catalan

Package: lomiri-keyboard-chinese-chewing
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Chinese Chewing
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Chinese Chewing

Package: lomiri-keyboard-chinese-pinyin
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Chinese Pinyin
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Chinese Pinyin

Package: lomiri-keyboard-croatian
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         hunspell-hr,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Croatian
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Croatian

Package: lomiri-keyboard-czech
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         myspell-cs,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Czech
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Czech

Package: lomiri-keyboard-danish
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         hunspell-da,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Danish
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Danish

Package: lomiri-keyboard-dutch
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         hunspell-nl,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Dutch
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Dutch

Package: lomiri-keyboard-emoji
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         qml-module-qtquick-localstorage,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Emoji
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Emoji

Package: lomiri-keyboard-english
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         hunspell-en-us,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - English
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - English

Package: lomiri-keyboard-english-dvorak
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         lomiri-keyboard-english,
         hunspell-en-us,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - English Dvorak
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - English Dvorak

Package: lomiri-keyboard-esperanto
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         myspell-eo,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Esperanto
 Lomiri Keyboard based on Maliit-Keyboard
 .
 Data files for the Lomiri virtual keyboard - Esperanto

Package: lomiri-keyboard-persian
Architecture: any
Depends: lomiri-keyboard (= ${binary:Version}),
         myspell-fa,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri on-screen keyboard data files - Persian
 Lomiri Keyboard based on Maliit-Keyboard
 .
