## lomiri-keyboard 1.0.3

=== debian/changelog ===
lomiri-keyboard (1.0.3-3) unstable; urgency=medium

  * debian/patches:
    + Drop 1001_fix-plugin-paths-gsetting.patch again. Use build time configure
      option instead.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Jun 2025 13:53:09 +0200

lomiri-keyboard (1.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_fix-plugin-paths-gsetting.patch. Set plugins-paths gsettings
      parameter so that language/layout plugins installed for lomiri-keyboard
      get recognized/found.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Jun 2025 22:10:46 +0200

lomiri-keyboard (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 10:57:09 +0200

lomiri-keyboard (1.0.2-4) unstable; urgency=medium

  * debian/control:
    + Switch D: from myspell-el-gr to hunspell-el for lomiri-keyboard-greek.
      (Closes: #1095005).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Feb 2025 11:55:56 +0100

lomiri-keyboard (1.0.2-3) unstable; urgency=medium

  * debian/rules:
    + Ignore if dh_fixperms's chmod command fails (during arch:all builds).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2025 15:23:55 +0100

lomiri-keyboard (1.0.2-2) unstable; urgency=medium

  * debian/control:
    + Add to B:/R: lomiri-desktop-sesison (<< 0.3-7~).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2025 12:22:32 +0100
