=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                xauth,
                xvfb,
                presage,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-keyboard
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-keyboard/
@@ -88,7 +88,8 @@
           lomiri-keyboard-thai,
           lomiri-keyboard-turkish,
           lomiri-keyboard-ukrainian,
-Conflicts: lomiri-desktop-session (<< 0.3-6~),
+Breaks: lomiri-desktop-session (<< 0.3-7~),
+Replaces: lomiri-desktop-session (<< 0.3-7~),
 Description: Lomiri on-screen keyboard
  Lomiri Keyboard based on Maliit-Keyboard
  .
@@ -342,5 +343,3 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri on-screen keyboard data files - Persian
- Lomiri Keyboard based on Maliit-Keyboard
- .
