=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,8 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod 0644 debian/lomiri-keyboard-bengali-avro/usr/lib/lomiri-keyboard/plugins/bn-avro/data/regex.json
+	# ignore if this fails (during arch:all builds)
+	-chmod 0644 debian/lomiri-keyboard-bengali-avro/usr/lib/lomiri-keyboard/plugins/bn-avro/data/regex.json
 
 override_dh_install:
 	dh_install
